ToolzerHub Docs

Get person details (v1)

Get an actor or crew member's biography, birth and death details, height, professions, best-known titles, awards and photos. An unknown person_id_or_url returns data: null.

1 credit / requestBilled only on success
GET
/v1/imdb/person

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

person_id_or_url*string

A person_id from a search or cast list, or the person's imdb.com link, such as https://www.imdb.com/name/nm0000151/.

Lengthlength <= 1000
curl -X GET "https://example.com/v1/imdb/person?person_id_or_url=nm0000151" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "person_id": "nm0000151",    "url": "https://www.imdb.com/name/nm0000151/",    "name": "Morgan Freeman",    "image": {      "url": "https://m.media-amazon.com/images/M/MV5BMDAyY2FhYjctNDc5OS00MDNlLThiMGUtY2UxYWVkNGY2ZjljXkEyXkFqcGc@._V1_.jpg",      "width": 1200,      "height": 1800    },    "bio": "string",    "birth_date": "1937-06-01",    "birth_place": "Memphis, Tennessee, USA",    "death_date": null,    "death_place": null,    "death_cause": null,    "height": "6′ 2″ (1.88 m)",    "professions": [      "Actor",      "Producer",      "Director"    ],    "popularity_rank": 0,    "also_known_as": [      "string"    ],    "known_for": [      {        "title_id": "tt0111161",        "url": "https://www.imdb.com/title/tt0111161/",        "title": "The Shawshank Redemption",        "original_title": "The Shawshank Redemption",        "type": "movie",        "type_label": "Movie",        "is_series": true,        "year": 1994,        "end_year": null,        "rating": 9.3,        "votes": 3261639,        "image": {          "url": "https://m.media-amazon.com/images/M/MV5BMDAyY2FhYjctNDc5OS00MDNlLThiMGUtY2UxYWVkNGY2ZjljXkEyXkFqcGc@._V1_.jpg",          "width": 1200,          "height": 1800        },        "role": "Actor",        "characters": [          "Ellis Boyd 'Red' Redding"        ]      }    ],    "awards": {      "wins": 21,      "nominations": 64,      "top_award": {        "name": "Oscar",        "wins": 0,        "nominations": 7      }    },    "images": {      "total": 0,      "items": [        {          "url": "https://m.media-amazon.com/images/M/MV5BMDAyY2FhYjctNDc5OS00MDNlLThiMGUtY2UxYWVkNGY2ZjljXkEyXkFqcGc@._V1_.jpg",          "width": 1200,          "height": 1800        }      ]    }  },  "details": {    "reason": "string",    "message": "string"  }}